.my-image-item{
    max-width: 250px;
    margin-right: 8px;
    margin-top: 8px;
    position: relative;
}

.my-image-item img{
    border-radius: 10px;
    width: 100%;
    height: auto;
}

.my-image-item .overlay {
    border-radius: 10px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .3s ease;
    background-color: black;
}

.my-image-item:hover .overlay {
    opacity: .5;
    cursor: pointer;
}

.my-image-item .overlay a{
    color: white;
    font-size: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}

.my-image-item .overlay i:hover {
    color: #eee;
}